Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685576 - DNS delegation record for rhhi-dev.gluster.org
Summary: DNS delegation record for rhhi-dev.gluster.org
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 14:26 UTC by Sahina Bose
Modified: 2019-03-20 15:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 15:15:25 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sahina Bose 2019-03-05 14:26:05 UTC
Description of problem:
Please create DNS delegation record for rhhi-dev.gluster.org

ns-1487.awsdns-57.org.
ns-626.awsdns-14.net.
ns-78.awsdns-09.com.
ns-1636.awsdns-12.co.uk.

Version-Release number of selected component (if applicable):
NA

Comment 1 M. Scherer 2019-03-05 15:06:42 UTC
For the context, that's for a test instance of openshift hosted on AWS. 

The delegation got created, please tell me if ther eis any issue

Comment 2 Rohan CJ 2019-03-06 05:49:03 UTC
The delegation doesn't seem to be working. I don't know if DNS propagation is a concern here, but I did also try directly querying ns1.redhat.com.
Here is the link to the kind of delegation we want for openshift: https://github.com/openshift/installer/blob/master/docs/user/aws/route53.md#step-4b-subdomain---perform-dns-delegation


$ dig rhhi-dev.gluster.org

; <<>> DiG 9.11.4-P2-RedHat-9.11.4-13.P2.fc28 <<>> rhhi-dev.gluster.org
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 18531
;; flags: qr rd ra; QUERY: 1, ANSWER: 0, AUTHORITY: 1, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 4096
;; QUESTION SECTION:
;rhhi-dev.gluster.org.		IN	A

;; AUTHORITY SECTION:
gluster.org.		278	IN	SOA	ns1.redhat.com. noc.redhat.com. 2019030501 3600 1800 604800 86400

;; Query time: 81 msec
;; SERVER: 10.68.5.26#53(10.68.5.26)
;; WHEN: Wed Mar 06 11:12:41 IST 2019
;; MSG SIZE  rcvd: 103

$ dig @ns-1487.awsdns-57.org. rhhi-dev.gluster.org

; <<>> DiG 9.11.4-P2-RedHat-9.11.4-13.P2.fc28 <<>> @ns-1487.awsdns-57.org. rhhi-dev.gluster.org
; (2 servers found)
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 58544
;; flags: qr aa rd; QUERY: 1, ANSWER: 0, AUTHORITY: 1, ADDITIONAL: 1
;; WARNING: recursion requested but not available

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 4096
;; QUESTION SECTION:
;rhhi-dev.gluster.org.		IN	A

;; AUTHORITY SECTION:
rhhi-dev.gluster.org.	900	IN	SOA	ns-1487.awsdns-57.org. awsdns-hostmaster.amazon.com. 1 7200 900 1209600 86400

;; Query time: 39 msec
;; SERVER: 205.251.197.207#53(205.251.197.207)
;; WHEN: Wed Mar 06 11:13:27 IST 2019
;; MSG SIZE  rcvd: 131

Comment 3 M. Scherer 2019-03-06 09:29:38 UTC
Seems there is a issue with the DNS server, as it work, but only on the internal server in the RH lan. I am slightly puzzled on that. I will have to escalate that to IT.

Comment 4 Rohan CJ 2019-03-07 06:54:30 UTC
It's working now!


Note You need to log in before you can comment on or make changes to this bug.